#ifndef _DRV_VERSION_H
#define _DRV_VERSION_H

/******************************************************************************

                            Copyright (c) 2009-2011
                            Lantiq Deutschland GmbH
                     Am Campeon 3; 85579 Neubiberg, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

#include "drv_vmmc_ll_if_version.h"

#define MAJORSTEP    1
#define MINORSTEP    10
#define VERSIONSTEP  2
#define VERS_TYPE    2

/* Minimum version of firmware required */
#ifdef SYSTEM_DANUBE
#define MIN_FW_MAJORSTEP   12
#define MIN_FW_MINORSTEP   6
#define MIN_FW_HOTFIXSTEP  0
#elif defined(SYSTEM_AR9)
#define MIN_FW_MAJORSTEP   4
#define MIN_FW_MINORSTEP   4
#define MIN_FW_HOTFIXSTEP  1
#elif  defined(SYSTEM_VR9)
#define MIN_FW_MAJORSTEP   2
#define MIN_FW_MINORSTEP   3
#define MIN_FW_HOTFIXSTEP  1
#else
#error unknown system
#endif

#endif /* _DRV_VERSION_H */
